User Tools

Site Tools


installation:gams_and_ubuntu_linux

This is an old revision of the document!


GAMS and Ubuntu Linux

There have been some issues with the installation of GAMS on Ubuntu Linux. It seems that the zip stuff is not compatible with ubuntu. Also csh was not available there.

  • leigams_sfx.exe did not run
[ralm@ubuntu]: /usr/local/gams$ ./leigams_sfx.exe
bash: ./leigams_sfx.exe: No such file or directory
[ralm@ubuntu]: /usr/local/gams$ file ./leigams_sfx.exe
./leigams_sfx.exe: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.0.0, dynamically linked (uses shared libs), for GNU/Linux 2.0.0, stripped

but “unzip leigams_sfx.exe” ran OK.

  • no /bin/csh on the machine, so gamsunpack did not run. After installing the tcsh package (it does not come as default in ubuntu, try: sudo apt-get install tcsh) the problem was fixed.
IMPRESSUM / LEGAL NOTICEPRIVACY POLICY installation/gams_and_ubuntu_linux.1192633027.txt.gz · Last modified: 2008/01/11 07:38 (external edit)